#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>


int spawnAndDie() {
    int childPid = fork();
    if (childPid < 0) {
        puts("Failed spawning child.");
    } else if (childPid == 0) {
        exit(0);
    } else {
        int status;
        wait(&status);
        // do nothing
    }
}

int main() {
    // Reads a file one character at a time, spawning a child every time.
    int ch;
    while ((ch = getchar()) != EOF) {
        spawnAndDie();
        printf("Got char: %c\n", ch);
    }
    return 0;
}
